#!/bin/sh
VER=5.0.95


#http://dev.mysql.com/get/Downloads/MySQL-5.0/MySQL-server-5.0.89-0.i386.rpm/from/http://mirror.csclub.uwaterloo.ca/mysql/
FROM_SERVER=http://mirror.csclub.uwaterloo.ca/mysql/

grab()
{
        #wget -O $VER/MySQL-${1}-${VER}-0.i386.rpm http://dev.mysql.com/get/Downloads/MySQL-5.0/MySQL-${1}-${VER}-0.i386.rpm/from/http://mirror.services.wisc.edu/mysql/
        #wget -O $VER/MySQL-${1}-${VER}-0.i386.rpm http://dev.mysql.com/get/Downloads/MySQL-5.0/MySQL-${1}-${VER}-0.i386.rpm/from/${FROM_SERVER}

        REL=1
        wget -O $VER/MySQL-${1}-${VER}-${REL}.i386.rpm http://downloads.mysql.com/archives/mysql-5.0/MySQL-${1}-${VER}-${REL}.i386.rpm

        ln -s $VER/MySQL-${1}-${VER}-${REL}.i386.rpm .
}

grab64()
{
        #wget -O 64-bit/$VER/MySQL-${1}-${VER}-0.glibc23.x86_64.rpm http://dev.mysql.com/get/Downloads/MySQL-5.0/MySQL-${1}-${VER}-0.glibc23.x86_64.rpm/from/http://mirror.services.                                                                                                                           wisc.edu/mysql/
        #wget -O 64-bit/$VER/MySQL-${1}-${VER}-0.glibc23.x86_64.rpm http://dev.mysql.com/get/Downloads/MySQL-5.0/MySQL-${1}-${VER}-0.glibc23.x86_64.rpm/from/${FROM_SERVER}

        REL=1
        wget -O 64-bit/$VER/MySQL-${1}-${VER}-${REL}.glibc23.x86_64.rpm http://downloads.mysql.com/archives/mysql-5.0/MySQL-${1}-${VER}-${REL}.glibc23.x86_64.rpm

        ln -s $VER/MySQL-${1}-${VER}-${REL}.glibc23.x86_64.rpm ./64-bit/
}

doDebian()
{

        wget -O debian/mysql-${VER}-linux-i686-glibc23.tar.gz http://downloads.mysql.com/archives/mysql-5.0/mysql-${VER}-linux-i686-glibc23.tar.gz

        cd debian
        echo "recompressing...";
        tar xzf mysql-${VER}-linux-i686-glibc23.tar.gz
        mv mysql-${VER}-linux-i686-glibc23 mysql-${VER}-linux-i686
        tar czf mysql-${VER}-linux-i686.tar.gz mysql-${VER}-linux-i686
        echo "done recompressing."

        rm -f mysql-${VER}-linux-i686-glibc23.tar.gz
        rm -rf mysql-${VER}-linux-i686


        cd 64-bit
        wget -O mysql-${VER}-linux-x86_64-glibc23.tar.gz http://downloads.mysql.com/archives/mysql-5.0/mysql-${VER}-linux-x86_64-glibc23.tar.gz

        echo "recompressing...";

        tar xzf mysql-${VER}-linux-x86_64-glibc23.tar.gz
        mv mysql-${VER}-linux-x86_64-glibc23 mysql-${VER}-linux-x86_64
        tar czf mysql-${VER}-linux-x86_64.tar.gz mysql-${VER}-linux-x86_64

        rm -rf mysql-${VER}-linux-x86_64
        rm -f mysql-${VER}-linux-x86_64-glibc23.tar.gz

        cd ../..
}

getRPMs()
{
        for i in server client devel shared; do
        {
               echo "getting $i ...";
               grab $i
               grab64 $i
        };
        done;
}

mkdir -p $VER
mkdir -p 64-bit/$VER

#getRPMs

doDebian

wget -O mysql-${VER}.tar.gz http://downloads.mysql.com/archives/mysql-5.0/mysql-${VER}.tar.gz

exit 0;

